<x-app-layout>
    <div class="container p-6 mx-auto">
        <h1 class="mb-6 text-3xl font-extrabold text-gray-800">Transaction Details</h1>

        <section class="p-6 bg-white shadow-md rounded-xl">
            <div class="space-y-4">

                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Order Details</h2>
                    <p class="text-gray-600"><strong>Order ID:</strong> {{ $subscriptions->id }}</p>
                    <p class="text-gray-600"><strong>Order Date:</strong> {{ $subscriptions->created_at->format('F d, Y') }}</p>
                    <p class="text-gray-600"><strong>Order Status:</strong> {{$subscriptions->payment_status}}</p>
                    <p class="text-gray-600"><strong>Payment Status:</strong> {{$subscriptions->payment_method}}</p>
                </div>

                <div>
                    <h2 class="text-lg font-semibold text-gray-700">Items in Order</h2>
                    <ul class="space-y-4">
                        @foreach ($subscriptions->details as $subscription)
                        <li class="flex flex-wrap items-center gap-6 p-4 border rounded-md bg-gray-50">
                            <div class="flex flex-col text-gray-700">
                                <span class="font-medium">{{$subscription->product->name}}</span>
                                <span>Price: <span class="font-semibold">₱{{$subscription->product->price}}</span></span>
                                <span>Quantity: <span class="font-semibold">{{$subscription->quantity}}</span></span>
                                <span>Subtotal: <span class="font-semibold">₱{{$subscription->subtotal}}</span></span>
                            </div>
                        </li>
                        @endforeach
                    </ul>
                </div>

            </div>
        </section>
    </div>
</x-app-layout>