<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container p-6 mx-auto">
        <h1 class="mb-6 text-3xl font-extrabold text-gray-800">Orders</h1>

        <section class="p-6 bg-white shadow-md rounded-xl">
            <div class="space-y-4">
                <!-- Order Details -->
                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Order Details</h2>
                    <p class="text-gray-600"><strong>Order ID:</strong> <?php echo e($orders->id); ?></p>
                    <p class="text-gray-600"><strong>Order Date:</strong> <?php echo e($orders->created_at->format('F d, Y')); ?></p>
                    <p class="text-gray-600"><strong>Order Status:</strong> <?php echo e($orders->status); ?></p>
                    <p class="text-gray-600"><strong>Payment Method:</strong> <?php echo e($orders->payment_method); ?></p>
                    <p class="text-gray-600"><strong>Uploaded Prescription:</strong> <img class="object-cover w-16 rounded-md" src="<?php echo e(asset($orders->upload_prescription)); ?>" alt=""></p>
                    <p class="text-gray-600"><strong>Discount Proof:</strong> <img class="object-cover w-16 rounded-md" src="<?php echo e(asset($orders->discount_proof)); ?>" alt=""></p>
                </div>

                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Shipping Details</h2>
                    <p class="text-gray-600">
                        <strong>Courier:</strong> <?php echo e($orders->shipping ? $orders->shipping->courier : "No courier yet"); ?>

                    </p>
                    <p class="text-gray-600">
                        <strong>Shipping Fee:</strong> <?php echo e($orders->shipping ? $orders->shipping->shipping_fee : "No shipping fee yet"); ?>

                    </p>
                </div>

                <!-- Shipping Address -->
                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Shipping Address</h2>
                    <p class="text-gray-600">
                        <?php echo e($orders->billingInformation->first_name); ?> <?php echo e($orders->billingInformation->middle_name); ?> <?php echo e($orders->billingInformation->last_name); ?><br>
                        <?php echo e($orders->billingInformation->email); ?><br>
                        <?php echo e($orders->billingInformation->phone_number); ?><br>
                        <?php echo e($orders->billingInformation->street_address); ?><br>
                        <?php echo e($orders->billingInformation->city); ?>, <?php echo e($orders->billingInformation->state); ?><br>
                        <?php echo e($orders->billingInformation->country); ?> - <?php echo e($orders->billingInformation->zip_code); ?>

                    </p>
                </div>

                <!-- Items in Order -->
                <div>
                    <h2 class="text-lg font-semibold text-gray-700">Items in Order</h2>
                    <ul class="space-y-4">
                        <?php $__currentLoopData = $orders->orderDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="flex flex-wrap items-center gap-6 p-4 border rounded-md bg-gray-50">
                            <img class="object-cover w-16 h-16 rounded-md" src="<?php echo e(asset($items->product->images->first()->image)); ?>" alt="<?php echo e($items->product->name); ?>">
                            <div class="flex flex-col text-gray-700">
                                <span class="font-medium"><?php echo e($items->product->name); ?></span>
                                <span>Price: <span class="font-semibold">₱<?php echo e($items->product->price); ?></span></span>
                                <span>Quantity: <span class="font-semibold"><?php echo e($items->quantity); ?></span></span>
                                <span>Subtotal: <span class="font-semibold">₱<?php echo e($items->subtotal); ?></span></span>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </section>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/admin/orders/show.blade.php ENDPATH**/ ?>