<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Profile'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <form action="<?php echo e(route('user_profile.update')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="space-y-4">
                <h1 class="text-[#cf000f] text-xl font-semibold">Profile Summary</h1>
                <div class="grid grid-cols-1 p-4 space-y-8 bg-white rounded-md md:grid-cols-3 ">
                    <div class="space-y-8 md:col-span-2">
                        <div>
                            <h1 class="font-bold">Profile Information</h1>
                        </div>
                        <div class="grid grid-cols-3 gap-4 text-sm">
                            <div class="text-end">
                                Full Name
                            </div>
                            <div class="col-span-2">
                                <input type="text" id="name" name="name" value="<?php echo e(old('name', Auth::user()->name)); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="text-end">
                                Email Address
                            </div>
                            <div class="col-span-2">
                                <input type="email" id="email" name="email" value="<?php echo e(old('email', Auth::user()->email)); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                                <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="text-end">
                                Mobile Number
                            </div>
                            <div class="col-span-2">
                                <input type="number" id="contact_number" name="contact_number" value="<?php echo e(old('contact_number', Auth::user()->contact_number)); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                                <?php $__errorArgs = ['contact_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="text-end">
                                Date of Birth
                            </div>
                            <div class="col-span-2">
                                <input type="date" id="birthday" name="birthday" value="<?php echo e(old('birthday', Auth::user()->birthday)); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                                <?php $__errorArgs = ['birthday'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="text-end">
                                Gender
                            </div>
                            <div class="flex flex-wrap items-center col-span-2 gap-4">
                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="gender_male" name="gender" value="Male" <?php echo e(old('gender', Auth::user()->gender) == 'Male' ? 'checked' : ''); ?> class="rounded-full border border-[#cf000f]">
                                    <label for="gender_male">Male</label>
                                </div>

                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="gender_female" name="gender" value="Female" <?php echo e(old('gender', Auth::user()->gender) == 'Female' ? 'checked' : ''); ?> class="rounded-full border border-[#cf000f]">
                                    <label for="gender_female">Female</label>
                                </div>

                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="gender_other" name="gender" value="Other" <?php echo e(old('gender', Auth::user()->gender) == 'Other' ? 'checked' : ''); ?> class="rounded-full border border-[#cf000f]">
                                    <label for="gender_other">Other</label>
                                </div>
                            </div>
                            <?php $__errorArgs = ['gender'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div>
                            <button type="submit" class="text-white bg-[#cf000f] rounded-full w-1/2 py-2">Save Changes</button>
                        </div>
                    </div>

                    <div class="flex flex-col items-center space-y-4">
                        <img class="object-cover w-40 h-40 rounded-full" src="<?php echo e(Auth::user()->image ? asset( Auth::user()->image) : asset('images/account/profile-placeholder.png')); ?>" alt="Profile Image">

                        <!-- Custom file input -->
                        <label for="image" class="cursor-pointer border border-[#cf000f] text-[#cf000f] rounded-full py-2 px-8 text-center">
                            Select Image
                        </label>
                        <input type="file" name="image" id="image" class="hidden">

                        <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        <p class="text-xs font-semibold text-gray-400">Supported formats: jpg, jpeg, png (Max: 2MB)</p>
                    </div>

                </div>
            </div>
        </form>


    </div>

</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/user_profile.blade.php ENDPATH**/ ?>