 <!-- Quantity controls and Add to Cart button - hidden by default, visible on hover -->
 <div class="flex justify-center hidden space-x-2 group-hover:flex">
     <button
         class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white"
         onclick="decrement()">-</button>
     <button
         id="counter"
         class="px-8 bg-white border border-gray-300 rounded-full">1</button>
     <button
         class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white"
         onclick="increment()">+</button>
 </div>

 <script>
     let count = 1;
     const counterDisplay = document.getElementById('counter');

     function increment() {
         count++;
         counterDisplay.textContent = count;
     }

     function decrement() {
         if (count > 1) { // Optional: Prevent count from going below 1
             count--;
             counterDisplay.textContent = count;
         }
     }
 </script>