<div class="py-8 bg-gray-100">
    <div class="relative w-full">
        <div class="swiper">
            <div class="swiper-wrapper">
                <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="swiper-slide">
                    <img src="<?php echo e(asset($brand->image)); ?>" alt="Brand image">
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <!-- Left Arrow -->
            <div class="absolute left-0 z-10 transform -translate-y-1/2 top-1/2">
                <div class="flex flex-col items-center justify-center gap-4">
                    <button id="slider-button-left" class="bg-[#cf000f]  text-2xl rounded-full h-10 w-10 flex justify-center items-center text-white">
                        <i class='bx bx-left-arrow-alt'></i>
                    </button>
                </div>
            </div>

            <!-- Right Arrow -->
            <div class="absolute right-0 z-10 transform -translate-y-1/2 top-1/2">
                <button id="slider-button-right" class="bg-[#cf000f]  text-2xl rounded-full h-10 w-10 flex justify-center items-center text-white">
                    <i class='bx bx-right-arrow-alt'></i>
                </button>
            </div>

        </div>
    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function () {
        var swiper = new Swiper('.swiper', {
            initialSlide: 0,  // Set default initial slide to 0
            navigation: {
                nextEl: '#slider-button-right',
                prevEl: '#slider-button-left',
            },
            breakpoints: {
                1024: {
                    slidesPerView: 5,
                    spaceBetween: 30
                },
                768: {
                    slidesPerView: 2,
                    spaceBetween: 20
                },
                320: {
                    slidesPerView: 2,
                    spaceBetween: 10
                }
            },
            loop: true,
            spaceBetween: 20,  // Consistent space setting
        });
    });
</script>
<?php /**PATH /home/rwebserver/public_html/gardose/resources/views/layouts/brands.blade.php ENDPATH**/ ?>