<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container max-w-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-6 text-3xl font-extrabold text-gray-800">Create Voucher</h1>

        <?php if($errors->any()): ?>
        <div class="p-4 mb-4 text-white bg-red-500 rounded">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
        <?php endif; ?>

        <form action="<?php echo e(route('voucher.store')); ?>" method="POST" class="space-y-4">
            <?php echo csrf_field(); ?>
            <div class="mb-4">
                <label for="code" class="block text-sm font-medium text-gray-700">Code</label>
                <input type="text" name="code" id="code" class="block w-full p-2 mt-1 transition border border-gray-300 rounded-lg" value="<?php echo e(old('code')); ?>" required>
            </div>

            <div class="mb-4">
                <label for="description" class="block text-sm font-medium text-gray-700">Description</label>
                <textarea name="description" id="description" rows="4" class="block w-full p-2 mt-1 transition border border-gray-300 rounded-lg"><?php echo e(old('description')); ?></textarea>
            </div>

            <div class="mb-4">
                <label for="discount_type" class="block text-sm font-medium text-gray-700">Discount Type</label>
                <select name="discount_type" id="discount_type" class="block w-full p-2 mt-1 transition border border-gray-300 rounded-lg" required>
                    <option value="percentage" <?php echo e(old('discount_type') == 'percentage' ? 'selected' : ''); ?>>Percentage</option>
                    <option value="fixed_amount" <?php echo e(old('discount_type') == 'fixed_amount' ? 'selected' : ''); ?>>Fixed Amount</option>
                </select>
            </div>

            <div class="mb-4">
                <label for="discount_value" class="block text-sm font-medium text-gray-700">Discount Value</label>
                <input type="number" name="discount_value" id="discount_value" class="block w-full p-2 mt-1 transition border border-gray-300 rounded-lg" value="<?php echo e(old('discount_value')); ?>" required>
            </div>

            <div class="mb-4">
                <label for="usage_limit" class="block text-sm font-medium text-gray-700">Usage Limit</label>
                <input type="number" name="usage_limit" id="usage_limit" class="block w-full p-2 mt-1 transition border border-gray-300 rounded-lg" value="<?php echo e(old('usage_limit')); ?>">
            </div>

            <div class="mb-4">
                <label for="status" class="block text-sm font-medium text-gray-700">Status</label>
                <select name="status" id="status" class="block w-full p-2 mt-1 transition border border-gray-300 rounded-lg" required>
                    <option value="active" <?php echo e(old('status') == 'active' ? 'selected' : ''); ?>>Active</option>
                    <option value="inactive" <?php echo e(old('status') == 'inactive' ? 'selected' : ''); ?>>Inactive</option>
                    <option value="expired" <?php echo e(old('status') == 'expired' ? 'selected' : ''); ?>>Expired</option>
                </select>
            </div>

            <button type="submit" class="px-6 py-3 text-white transition bg-black rounded-lg">Create Voucher</button>
        </form>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/admin/voucher/create.blade.php ENDPATH**/ ?>