<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-lg px-4 py-8 mx-auto">
        <h1 class="text-[#cf000f] font-bold text-center pb-8 text-2xl">LOGIN</h1>
        <form method="POST" action="<?php echo e(route('login.submit')); ?>">
            <?php echo csrf_field(); ?>
            <div class="grid justify-between grid-cols-1 bg-white md:grid-cols-3 md:flex-row rounded-3xl">
                <div class="md:col-span-2">
                    <div class="flex flex-col justify-center p-4 space-y-4 md:p-12">
                        <h1 class="pb-8 font-bold text-black">Welcome Back! Log in to Your Account</h1>



                        <!-- Email Input with Error Display -->
                        <div>
                            <label for="email">Email Address</label>
                            <input type="email" id="email" name="email" value="<?php echo e(old('email')); ?>"
                                class="border border-[#cf000f] w-full rounded-full"
                                placeholder="Enter email or mobile number">
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <!-- Password Input with Error Display -->
                        <div>
                            <label for="password">Password</label>
                            <input type="password" name="password" id="password" value="<?php echo e(old('password')); ?>"
                                class="border border-[#cf000f] w-full rounded-full"
                                placeholder="Enter password">
                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="flex justify-end text-[#cf000f]">
                            <a href="<?php echo e(url('forgot_password')); ?>">Forgot Password?</a>
                        </div>

                        <!-- Submit Button -->
                        <div>
                            <button class="bg-[#cf000f] text-white w-full rounded-full py-2" type="submit">Login</button>
                        </div>

                        <!-- Registration Link -->
                        <div class="text-center text-gray-500">
                            New here? <a href="<?php echo e(url('register')); ?>"><span class="font-bold text-[#cf000f]">Create an Account</span></a>
                        </div>
                    </div>
                </div>

                <!-- Image Section -->
                <div>
                    <img class="object-cover w-full h-full rounded-r-2xl" src="<?php echo e(asset('images/shop/img-login.png')); ?>" alt="">
                </div>
            </div>
        </form>

    </div>
</div>




<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/login.blade.php ENDPATH**/ ?>