<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container max-w-screen-sm p-6 mx-auto bg-white rounded-lg shadow-md">
        <h1 class="mb-6 text-3xl font-bold text-center">Add Shipping Fee</h1>
        <form action="<?php echo e(route('shipping.store')); ?>" method="POST" class="space-y-4">
            <?php echo csrf_field(); ?>
            <div class="mb-4">
                <input type="text" value="<?php echo e($order->id); ?>" name="order_id" id="order_id" readonly hidden>
                <label for="courier" class="block text-sm font-medium text-gray-700">Courier</label>
                <input type="text" name="courier" id="courier" class="block w-full mt-1 border-gray-300 rounded-md shadow-sm focus:border-[#cf000f] focus:ring focus:ring-[#cf000f] focus:ring-opacity-50" value="<?php echo e(old('courier', $shipping->courier ?? '')); ?>">
                <?php $__errorArgs = ['courier'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <p class="mt-1 text-sm text-red-500"><?php echo e($message); ?></p>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="mb-4">
                <label for="shipping_fee" class="block text-sm font-medium text-gray-700">Shipping Fee</label>
                <input type="number" name="shipping_fee" id="shipping_fee" class="block w-full mt-1 border-gray-300 rounded-md shadow-sm focus:border-[#cf000f] focus:ring focus:ring-[#cf000f] focus:ring-opacity-50" value="<?php echo e(old('shipping_fee', $shipping->shipping_fee ?? '')); ?>">
                <?php $__errorArgs = ['shipping_fee'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <p class="mt-1 text-sm text-red-500"><?php echo e($message); ?></p>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="text-center">
                <button type="submit" class="px-6 py-3 text-white transition rounded-lg bg-[#cf000f]">Add Shipping Fee</button>
            </div>
        </form>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH D:\Markeh\Websites\gardose(12-20-2024)\gardose\resources\views/admin/shipping/create.blade.php ENDPATH**/ ?>