<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Blogs'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/about_us/img-banner.png')); ?>" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">Home - Blogs</h1>
    </div>
</div>


<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <div class="grid grid-cols-1 gap-4 overflow-hidden lg:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500">
                <?php echo $__env->make('layouts.blogs_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div data-aos="fade-left"
                data-aos-duration="1500" class="space-y-4 lg:col-span-2">
                <h1 class="text-4xl font-bold"><?php echo e($blogs->title); ?></h1>
                <div class="flex items-center space-x-8 text-gray-500">
                    <div class="flex items-center space-x-2">
                        <i class='bx bx-calendar-alt'></i>
                        <h1><?php echo e($blogs->created_at); ?></h1>
                    </div>
                    <div class="flex items-center space-x-2">
                        <i class='bx bx-list-ol'></i>
                        <h1><?php echo e($blogs->category->name); ?></h1>
                    </div>
                </div>
                <img src="<?php echo e(asset($blogs->image)); ?>" alt="">
                <div>
                    <?php echo $blogs->description; ?>

                </div>
            </div>

        </div>
    </div>
</div>


<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/blogs_details.blade.php ENDPATH**/ ?>