<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container p-6 mx-auto">
        <h1 class="mb-6 text-3xl font-extrabold text-gray-800">Transaction Details</h1>

        <section class="p-6 bg-white shadow-md rounded-xl">
            <div class="space-y-4">

                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Order Details</h2>
                    <p class="text-gray-600"><strong>Order ID:</strong> <?php echo e($subscriptions->id); ?></p>
                    <p class="text-gray-600"><strong>Order Date:</strong> <?php echo e($subscriptions->created_at->format('F d, Y')); ?></p>
                    <p class="text-gray-600"><strong>Order Status:</strong> <?php echo e($subscriptions->payment_status); ?></p>
                    <p class="text-gray-600"><strong>Payment Status:</strong> <?php echo e($subscriptions->payment_method); ?></p>
                </div>

                <div>
                    <h2 class="text-lg font-semibold text-gray-700">Items in Order</h2>
                    <ul class="space-y-4">
                        <?php $__currentLoopData = $subscriptions->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscription): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="flex flex-wrap items-center gap-6 p-4 border rounded-md bg-gray-50">
                            <div class="flex flex-col text-gray-700">
                                <span class="font-medium"><?php echo e($subscription->product->name); ?></span>
                                <span>Price: <span class="font-semibold">₱<?php echo e($subscription->product->price); ?></span></span>
                                <span>Quantity: <span class="font-semibold"><?php echo e($subscription->quantity); ?></span></span>
                                <span>Subtotal: <span class="font-semibold">₱<?php echo e($subscription->subtotal); ?></span></span>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>

            </div>
        </section>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/admin/subscriptions/show_transaction_details.blade.php ENDPATH**/ ?>